apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: springapp-ingress
  annotations:
    kubernetes.io/ingress.class: "nginx"
spec:
  rules:
   - http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: spring-app
            port:
              number: 8080
